| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
PreStack::LateralStack Class Reference
PreStackProcessing

Lateral stack. More...

`#include <prestacklateralstack.h>`

Inheritance diagram for PreStack::LateralStack:
[legend]

## Public Member Functions
| LateralStack ()
| ~LateralStack ()
bool | canDoSynthetics () const override
uiString | errMsg () const override
void | fillPar (IOPar &) const override
const BinID & | getInputStepout () const override
const BinID & | getPatternStepout () const
bool | isCross () const
| mDefaultFactoryInstanciationBase ("LateralStack", tr("Super Gather"))
bool | prepareWork () override
bool | reset (bool force=true) override
bool | setOutputInterest (const BinID &relbid, bool) override
bool | setPattern (const BinID &stepout, bool cross)
bool | usePar (const IOPar &) override
bool | wantsInput (const BinID &) const override
Public Member Functions inherited from PreStack::Processor
| ~Processor ()
virtual void | adjustPossibleCompArea (TrcKeySampling &)
OD::GeomSystem | getGeomSystem () const
const ElasticModel * | getModel (const BinID &relbid) const
ConstRefMan< Gather > | getOutput (const BinID &relbid) const
DataPackID | getOutputID (const BinID &relbid) const
bool | getOutputInterest (const BinID &relbid) const
const BinID & | getOutputStepout () const
virtual bool | mustHaveUserInput () const
od_int64 | nrIterations () const override
int | nrOffsets () const
virtual void | retainCurBID (const BinID &)
void | setGeomSystem (OD::GeomSystem)
void | setInput (const BinID &, const Gather *)
void | setInput (const BinID &, Gather *)
void | setInput (const BinID &relbid, DataPackID)
void | setModel (const BinID &, const ElasticModel *)
virtual bool | showInEditor () const
virtual bool | usesPreStackInput () const
Public Member Functions inherited from ParallelTask
virtual | ~ParallelTask ()
void | doParallel (bool yn)
bool | execute () override
virtual bool | executeParallel (bool parallel)
od_int64 | nrDone () const override
| May be -1, i.e. class does not report nrdone.
od_int64 | totalNr () const override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
virtual uiString | uiMessage () const
virtual uiString | uiNrDoneText () const
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static Processor * | createInstance ()
Static Public Member Functions inherited from ParallelTask
static uiString | sPosFinished ()
static uiString | sTrcFinished ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
bool | doWork (od_int64, od_int64, int) override
bool | isInPattern (const BinID &) const
od_int64 | nrIterations () const override
bool | processOutput (const OffsetAzimuth &, const BinID &)
Protected Member Functions inherited from PreStack::Processor
| Processor (const char *nm)
virtual Gather * | createOutputArray (const Gather &input) const
Protected Member Functions inherited from ParallelTask
| ParallelTask (const char *nm=0)
void | addToNrDone (od_int64 increment)
od_int64 | calculateThreadSize (od_int64 totalnr, int nrthreads, int thread) const
virtual int | maxNrThreads () const
virtual int | minThreadSize () const
void | quickAddToNrDone (od_int64 loopidx)
void | resetNrDone ()
virtual bool | stopAllOnFailure () const
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Static Protected Member Functions
static const char * | sKeyCross ()
static const char * | sKeyStepout ()
Static Protected Member Functions inherited from PreStack::Processor
static int | getRelBidOffset (const BinID &relbid, const BinID &stepout)

## Protected Attributes
uiString | errmsg_
BinID | inputstepout_
bool | iscross_ = true
TypeSet< OffsetAzimuth > | offsetazi_
BinID | patternstepout_
Protected Attributes inherited from PreStack::Processor
OD::GeomSystem | gs_
RefObjectSet< Gather > | inputs_
ObjectSet< const ElasticModel > | models_
BoolTypeSet | outputinterest_
RefObjectSet< Gather > | outputs_
BinID | outputstepout_
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Detailed Description

Lateral stack.

<>

## Constructor & Destructor Documentation

## ◆ LateralStack()

PreStack::LateralStack::LateralStack | ( |  | ) |

## ◆ ~LateralStack()

PreStack::LateralStack::~LateralStack | ( |  | ) |

## Member Function Documentation

## ◆ canDoSynthetics()

bool PreStack::LateralStack::canDoSynthetics | ( |  | ) | const
| inline override virtual

Reimplemented from PreStack::Processor.

## ◆ createInstance()

static Processor * PreStack::LateralStack::createInstance | ( |  | ) |
| static

## ◆ doWork()

bool PreStack::LateralStack::doWork | ( | od_int64 | start,
|  | od_int64 | stop,
|  | int | )
| override protected virtual

If nrIterations is not overridden, start and stop will refer to offsets that should be processed.

Implements PreStack::Processor.

## ◆ errMsg()

uiString PreStack::LateralStack::errMsg | ( |  | ) | const
| inline override virtual

Reimplemented from PreStack::Processor.

## ◆ fillPar()

void PreStack::LateralStack::fillPar | ( | IOPar & |  | ) | const
| override virtual

Implements PreStack::Processor.

## ◆ getInputStepout()

const BinID & PreStack::LateralStack::getInputStepout | ( |  | ) | const
| inline override virtual

Reimplemented from PreStack::Processor.

## ◆ getPatternStepout()

const BinID & PreStack::LateralStack::getPatternStepout | ( |  | ) | const
| inline

## ◆ isCross()

bool PreStack::LateralStack::isCross | ( |  | ) | const
| inline

## ◆ isInPattern()

bool PreStack::LateralStack::isInPattern | ( | const BinID & |  | ) | const
| protected

## ◆ mDefaultFactoryInstanciationBase()

PreStack::LateralStack::mDefaultFactoryInstanciationBase | ( | "LateralStack" | ,
|  | tr("Super Gather") | )

## ◆ nrIterations()

od_int64 PreStack::LateralStack::nrIterations | ( |  | ) | const
| inline override protected virtual

Returns
  the number of times the process should be run.

Implements ParallelTask.

## ◆ prepareWork()

bool PreStack::LateralStack::prepareWork | ( |  | ) |
| override virtual

Reimplemented from PreStack::Processor.

## ◆ processOutput()

bool PreStack::LateralStack::processOutput | ( | const OffsetAzimuth & | ,
|  | const BinID & | )
| protected

## ◆ reset()

bool PreStack::LateralStack::reset | ( | bool | force = true | ) |
| override virtual

Reimplemented from PreStack::Processor.

## ◆ setOutputInterest()

bool PreStack::LateralStack::setOutputInterest | ( | const BinID & | relbid,
|  | bool | )
| override virtual

Reimplemented from PreStack::Processor.

## ◆ setPattern()

bool PreStack::LateralStack::setPattern | ( | const BinID & | stepout,
|  | bool | cross )

## ◆ sKeyCross()

static const char * PreStack::LateralStack::sKeyCross | ( |  | ) |
| inline static protected

## ◆ sKeyStepout()

static const char * PreStack::LateralStack::sKeyStepout | ( |  | ) |
| inline static protected

## ◆ usePar()

bool PreStack::LateralStack::usePar | ( | const IOPar & |  | ) |
| override virtual

Implements PreStack::Processor.

## ◆ wantsInput()

bool PreStack::LateralStack::wantsInput | ( | const BinID & |  | ) | const
| override virtual

Reimplemented from PreStack::Processor.

## Member Data Documentation

## ◆ errmsg_

uiString PreStack::LateralStack::errmsg_
| protected

## ◆ inputstepout_

BinID PreStack::LateralStack::inputstepout_
| protected

## ◆ iscross_

bool PreStack::LateralStack::iscross_ = true
| protected

## ◆ offsetazi_

TypeSet<OffsetAzimuth> PreStack::LateralStack::offsetazi_
| protected

## ◆ patternstepout_

BinID PreStack::LateralStack::patternstepout_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025